---------------------------------------------------------------------------------
--
-- INSERT NEW Property
--
---------------------------------------------------------------------------------
merge into FRH_PROPERTY
USING TABLE( VALUES ('CPP_PURGE_DAYS'))
                     ac(property_name) 
                  ON (FRH_PROPERTY.property_name = ac.property_name)
when not matched then
insert 
   (property_name
   ,property_value
   ,property_desc
   ,property_label
   ,property_type
   ,property_sub_type
   ,property_sub_type_label
   ,property_editable_ind
   ,create_timestamp
   ,create_user
   ,lstupdt_nbr
   ,logical_del_ind)
values
   ('CPP_PURGE_DAYS'
   ,30
   ,'Number of days to keep in the FRH_CPP_DIM table'
   ,'retention days of FRH_CPP_DIM'
   ,'rhdbmaint'
   ,'DEFAULT'
   ,'DEFAULT'
   ,'1'
   ,current_timestamp
   ,current_user
   ,0
   ,'1'
   )
ELSE IGNORE;

---------------------------------------------------------------------------------
--
-- INSERT NEW JOB  5021
--
---------------------------------------------------------------------------------
merge into FRX_JOB
USING TABLE( VALUES (5021))
                     ac(job_id) 
                  ON (FRX_JOB.job_id = ac.job_id)
when not matched then
insert (
	job_id
  ,job_name
  ,job_desc
  ,job_component
  ,job_autoexec
  ,job_log_filename
  ,job_sysin
  ,job_dvds
  ,job_main_macro
  ,job_script_opts
  ,job_sas_cmd) 
 VALUES  (
 5021 
  ,'CPP SAS table'
  ,'Creates CPP SAS table for the CPP job (5020)'
  ,'cpp'
  ,'!SASWHSE_IMPLEMENT_HOME/cpp/src/sas/cpp_autoexec.sas'
  ,'!SASWHSE_IMPLEMENT_HOME/cpp/logs/%nrstr(%d%b%Y_%H%M%s)_job_5021.log'
  ,'!SAS_ROOT/misc/fsmcm/source/bat_job_sysin.sas'
  ,'fsmrh cppmod'
  ,'fsmrh_cpp_setup'
  ,'-logparm "ROLLOVER=SESSION" -noterminal -nospool -unbuflog -nosyntaxcheck -ENCODING UTF-8 -SET DB2CODEPAGE 1208'
  ,'sas_dbcs')
when matched then
	Update
		set 
		  job_name           =   'CPP SAS table'                                                                                                  
		  ,job_desc           =   'Creates CPP SAS table for the CPP job (5020)'                                                                   
		  ,job_component      =   'cpp'                                                                                                            
		  ,job_autoexec       =   '!SASWHSE_IMPLEMENT_HOME/cpp/src/sas/cpp_autoexec.sas'                                                           
		  ,job_log_filename   =   '!SASWHSE_IMPLEMENT_HOME/cpp/logs/%nrstr(%d%b%Y_%H%M%s)_job_5021.log'                                            
		  ,job_sysin          =   '!SAS_ROOT/misc/fsmcm/source/bat_job_sysin.sas'                                                                  
		  ,job_dvds           =   'fsmrh cppmod'                                                                                                   
		  ,job_main_macro     =   'fsmrh_cpp_setup'                                                                                                
		  ,job_script_opts    =   '-logparm "ROLLOVER=SESSION" -noterminal -nospool -unbuflog -nosyntaxcheck -ENCODING UTF-8 -SET DB2CODEPAGE 1208'
		  ,job_sas_cmd        =   'sas_dbcs'                                                                                                     
ELSE IGNORE;


---------------------------------------------------------------------------------
--
-- INSERT NEW JOB  5020
--
---------------------------------------------------------------------------------
merge into FRX_JOB
USING TABLE( VALUES (5020))
                     ac(job_id) 
                  ON (FRX_JOB.job_id = ac.job_id)
when not matched then
insert (
	job_id
  ,job_name
  ,job_desc
  ,job_component
  ,job_autoexec
  ,job_log_filename
  ,job_sysin
  ,job_dvds
  ,job_main_macro
  ,job_script_opts
  ,job_sas_cmd) 
 VALUES  (
 5020 
  ,'CPP extractions'
  ,'Creates CPP output files and report'
  ,'cpp'
  ,'!SASWHSE_IMPLEMENT_HOME/cpp/src/sas/cpp_autoexec.sas'
  ,'!SASWHSE_IMPLEMENT_HOME/cpp/logs/%nrstr(%d%b%Y_%H%M%s)_job_5020.log'
  ,'!SAS_ROOT/misc/fsmcm/source/bat_job_sysin.sas'
  ,'fsmrh cppmod'
  ,'fsmrh_cpp_main'
  ,'-logparm "ROLLOVER=SESSION" -MEMSIZE 1G -SET ACRONYM CCCA -noterminal -nospool -unbuflog -nosyntaxcheck -ENCODING UTF-8 -SET DB2CODEPAGE 1208'
  ,'sas_dbcs')
when matched then
	Update
		set 
		  job_name           =     'CPP extractions'                                                                                                                              
		  ,job_desc           =    'Creates CPP output files and report'                                                                                                          
		  ,job_component      =    'cpp'                                                                                                                                          
		  ,job_autoexec       =    '!SASWHSE_IMPLEMENT_HOME/cpp/src/sas/cpp_autoexec.sas'                                                                                         
		  ,job_log_filename   =    '!SASWHSE_IMPLEMENT_HOME/cpp/logs/%nrstr(%d%b%Y_%H%M%s)_job_5020.log'                                                                          
		  ,job_sysin          =    '!SAS_ROOT/misc/fsmcm/source/bat_job_sysin.sas'                                                                                                
		  ,job_dvds           =    'fsmrh cppmod'                                                                                                                                 
		  ,job_main_macro     =    'fsmrh_cpp_main'                                                                                                                               
		  ,job_script_opts    =    '-logparm "ROLLOVER=SESSION" -MEMSIZE 1G -SET ACRONYM CCCA -noterminal -nospool -unbuflog -nosyntaxcheck -ENCODING UTF-8 -SET DB2CODEPAGE 1208'
		  ,job_sas_cmd        =    'sas_dbcs'                                                                                                                                    
ELSE IGNORE;

---------------------------------------------------------------------------------
--
-- INSERT FRX_SCD_COLUMN
--
---------------------------------------------------------------------------------
merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ent_comp_start_dt'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
 insert (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ent_comp_start_dt', 'type2', 1)
ELSE IGNORE;
 
merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ent_comp_end_dt'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
insert (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ent_comp_end_dt', 'type2', 2)
ELSE IGNORE;
;

merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ent_numcards_a'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
insert (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ent_numcards_a', 'type2', 3)
ELSE IGNORE;


merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ent_numcards_b'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
insert (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES   ('FRH_CPP_DIM', 'ent_numcards_b', 'type2', 4)
ELSE IGNORE;
 
merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ent_numcards_c'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
insert (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES   ('FRH_CPP_DIM', 'ent_numcards_c', 'type2', 5)
ELSE IGNORE;
;

merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ent_numcards_d'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
insert (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES   ('FRH_CPP_DIM', 'ent_numcards_d', 'type2', 6)
ELSE IGNORE;

merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ENT_NUMCARDS_E'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
	INSERT (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ENT_NUMCARDS_E', 'TYPE2', 7)  ELSE IGNORE;

merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ENT_NUMTRNX'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
	INSERT (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ENT_NUMTRNX', 'TYPE2', 8)  ELSE IGNORE;

merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ENT_FRDRATE_SUP'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
	INSERT (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ENT_FRDRATE_SUP', 'TYPE2', 9)  ELSE IGNORE;

merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ENT_FRDRATE_A'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
	INSERT (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ENT_FRDRATE_A', 'TYPE2', 10)  ELSE IGNORE;

merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ENT_FRDRATE_B'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
	INSERT (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ENT_FRDRATE_B', 'TYPE2', 11)  ELSE IGNORE;

merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ENT_FRDRATE_C'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
	INSERT (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ENT_FRDRATE_C', 'TYPE2', 12)  ELSE IGNORE;

merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ENT_FRDRATE_D'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
	INSERT (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ENT_FRDRATE_D', 'TYPE2', 13)  ELSE IGNORE;

 		
merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ent_frdrate_e'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
 		insert (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ent_frdrate_e', 'type2', 14)  ELSE IGNORE;
 
merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ent_frdday_p10'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
 		insert (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ent_frdday_p10', 'type2', 15)  ELSE IGNORE;

merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ent_frdday_p25'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
 		insert (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ent_frdday_p25', 'type2', 16)  ELSE IGNORE;


merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ent_frdday_p50'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
 		insert (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ent_frdday_p50', 'type2', 17)  ELSE IGNORE;
 
merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ent_frdday_p75'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
 		insert (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ent_frdday_p75', 'type2', 18)  ELSE IGNORE;


merge into FRX_SCD_COLUMN
USING TABLE( VALUES ('FRH_CPP_DIM','ent_frdday_p90'))
                     ac(SCD_DIMENSION, SCD_FIELD) 
                  ON (FRX_SCD_COLUMN.SCD_DIMENSION = ac.SCD_DIMENSION
                  	and FRX_SCD_COLUMN.SCD_FIELD = ac.SCD_FIELD)
when not matched then
 		insert (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES  ('FRH_CPP_DIM', 'ent_frdday_p90', 'type2', 19)  ELSE IGNORE;



---------------------------------------------------------------------------------
--
-- Insert version release 3.2.2.16 (3.2 M2 HF16)
--
---------------------------------------------------------------------------------
insert into frh_version(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) insert (SCD_DIMENSION, SCD_FIELD, SCD_TYPE, SCD_ORDER) VALUES 
('Base DDL', '3.2.2.16', current date, '3.2 M2 HF16 DDL', 'DDL');

