---------------------------------------------------------------------------------
--****** Tablespace information for DATA and Indexes must be defined, prior to running this script ********
-- Replace [TBSPACE] with the appropriate data tablespace name
-- Replace [INDEX_TBSPACE] with the appropriate index tablespace name
--
---------------------------------------------------------------------------------
-----------------------------------------------
-- DDL Statements for table FRH_CPP_DIM
------------------------------------------------

CREATE TABLE FRH_CPP_DIM (
	ENT_ID CHARACTER(4) NOT NULL   
,	ENT_TYPE CHARACTER(4) NOT NULL   
,	ENT_ID_LONG VARCHAR(120)    
,	ENT_FRDRATE_SUP DOUBLE    
,	ENT_FRDRATE_A DOUBLE    
,	ENT_FRDRATE_B DOUBLE    
,	ENT_FRDRATE_C DOUBLE    
,	ENT_FRDRATE_D DOUBLE    
,	ENT_FRDRATE_E DOUBLE    
,	ENT_FRDDAY_P10 DOUBLE    
,	ENT_FRDDAY_P25 DOUBLE    
,	ENT_FRDDAY_P50 DOUBLE    
,	ENT_FRDDAY_P75 DOUBLE    
,	ENT_FRDDAY_P90 DOUBLE    
,	ENT_NUMCARDS_A INTEGER    
,	ENT_NUMCARDS_B INTEGER    
,	ENT_NUMCARDS_C INTEGER    
,	ENT_NUMCARDS_D INTEGER    
,	ENT_NUMCARDS_E INTEGER    
,	ENT_NUMTRNX INTEGER    
,	ENT_COMP_START_DT DATE    
,	ENT_COMP_END_DT DATE    
,	CHANGE_BEGIN_TIMESTAMP TIMESTAMP NOT NULL   
,	CHANGE_END_TIMESTAMP TIMESTAMP    
,	CHANGE_DIGEST_TYPE_2 CHARACTER(32)    
,	CHANGE_DIGEST_TYPE_1 CHARACTER(32) NOT NULL   
,	CHANGE_CURRENT_IND CHARACTER(1) NOT NULL  WITH DEFAULT '0'  
)
  IN [TBSPACE] INDEX IN [INDEX_TBSPACE]
  --COMPRESS YES
  ;

CREATE UNIQUE INDEX PKX_CPP_DIM
  ON FRH_CPP_DIM
    ( ENT_ID ASC, ENT_TYPE ASC, CHANGE_BEGIN_TIMESTAMP ASC )
  CLUSTER
  ALLOW REVERSE SCANS;
  
ALTER TABLE FRH_CPP_DIM
  ADD CONSTRAINT PKX_CPP_DIM PRIMARY KEY
    (ENT_ID, ENT_TYPE, CHANGE_BEGIN_TIMESTAMP);


ALTER TABLE FRH_CPP_DIM
  ADD CONSTRAINT CK_CPP_CURR_IND CHECK
    (CHANGE_CURRENT_IND IN ('0', '1'))
    ENFORCED
    ENABLE QUERY OPTIMIZATION;



  