---------------------------------------------------------------------------------
--
-- Insert new SOR Properties for the AGS and Recovery Job
-- Optionally turn off writing records to the VXX tables and FRH_MERCHANT_DIM. 
-- The Recovery Job also adheres to these property settings. By Default, records
-- will be written to the VXX and FRH_MERCHANT_DIM tables. 
---------------------------------------------------------------------------------
insert into FCM_PROPERTY (PROPERTY_TYPE, PROPERTY_LABEL, PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL,
                          CREATE_TIMESTAMP, LSTUPDT_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_NBR, LOGICAL_DEL_IND) 
values
('AGS','Disable Merchant DIM','ags_disable_merchant_dim_update','false','Disable update of FRH_MERCHANT_DIM table.','1','DEFAULT','DEFAULT',
  CURRENT TIMESTAMP, CURRENT TIMESTAMP, CURRENT USER, CURRENT USER, 0, '0'),
('AGS','Disable vxx inserts','ags_disable_insert_vxx','false','Disable insert into _vxx tables.','1','DEFAULT','DEFAULT',
  CURRENT TIMESTAMP, CURRENT TIMESTAMP, CURRENT USER, CURRENT USER, 0, '0');


---------------------------------------------------------------------------------
--
-- Updated Metadata to make the RUR segment updateable
--
---------------------------------------------------------------------------------
update FCM_SEGMENT_DEFINITION set SEGMENT_OSE_IO_TYPE = 'U' where SEGMENT_ACRONYM = 'RUR';


---------------------------------------------------------------------------------
--
-- Insert version release 3.2.2.10 (3.2 M2 HF10)
--
---------------------------------------------------------------------------------

insert into fcm_version(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.2.2.10', current date, '3.2 M2 HF10 DDL', 'DDL');
