---------------------------------------------------------------------------------
--
-- Add new FCM_PROPERTY entries
--
---------------------------------------------------------------------------------
merge into FCM_PROPERTY
USING TABLE(values('test_area_path_webapp'))
                     ac(PROPERTY_NAME) 
                  ON (FCM_PROPERTY.PROPERTY_NAME = ac.PROPERTY_NAME)
when not matched then
insert (
	PROPERTY_NAME, PROPERTY_VALUE, PROPERTY_DESC, PROPERTY_LABEL, PROPERTY_TYPE, 
	CREATE_TIMESTAMP, CREATE_USER, LSTUPDT_USER, LSTUPDT_TIMESTAMP, LSTUPDT_NBR, LOGICAL_DEL_IND, 
	PROPERTY_EDITABLE_IND, PROPERTY_SUB_TYPE, PROPERTY_SUB_TYPE_LABEL) 
VALUES (
 'test_area_path_webapp' 
 , 'Not Defined'
 , 'Specifies the directory that will be used to store short-lived results from rule testing (WEB).'
 , 'Rule Test Area'        
 , 'RuleTesting'
 ,  current timestamp - current timezone
 ,  CURRENT USER  
 ,  CURRENT USER  
 ,  current timestamp - current timezone
 , 0
 , '0'
 , '1'
 , 'DEFAULT'
 , 'DEFAULT')
ELSE IGNORE;

---------------------------------------------------------------------------------
--
-- Delete Duplicate values in the FSX_USER_VARIABLE table.
-- 
---------------------------------------------------------------------------------
DELETE FROM fsx_user_variable
 WHERE fsx_tran_id
       IN (SELECT fsx_tran_id
             FROM (SELECT fsx_tran_id,RID(fsx_user_variable) rid
                        , ROWNUMBER() OVER(PARTITION BY USERVAR_FIELD_NAME,build_id) rn
                     FROM fsx_user_variable )
            WHERE rn > 1 )
;



---------------------------------------------------------------------------------
--
-- Insert version release 3.2.2.12 (3.2 M2 HF12)
--
---------------------------------------------------------------------------------

insert into fcm_version(VERSION_NAME , VERSION_NUM , VERSION_DATE , VERSION_DESC, VERSION_COMPONENT) VALUES
('Base DDL', '3.2.2.12', current date, '3.2 M2 HF12 DDL', 'DDL');
