drop specific procedure audit_partition_action2 ;
drop specific procedure audit_partition_action ;
------------------------------------------------
-- Rename Statements for table FMX_PARTITION_AUDIT
------------------------------------------------
ALTER TABLE FMX_PARTITION_AUDIT DROP PRIMARY KEY;
ALTER TABLE FMX_PARTITION_AUDIT DROP CONSTRAINT CK_CHAR_ZERO_ONE;

RENAME TABLE FMX_PARTITION_AUDIT TO FMX_PARTITION_AUDIT_ORIG;
RENAME INDEX PKX_PARTITION_AUDT TO PKX_PARTITION_AUDT_ORIG;


------------------------------------------------
-- DDL Statements for table FMX_PARTITION_AUDIT
------------------------------------------------
 

CREATE TABLE FMX_PARTITION_AUDIT  (
		  TABLE_NAME CHAR(50) NOT NULL , 
		  AUDIT_TIMESTAMP TIMESTAMP NOT NULL WITH DEFAULT CURRENT TIMESTAMP , 
		  PARTITION_NAME CHAR(32) , 
		  COMMAND VARCHAR(7000) NOT NULL , 
		  PREVIEW_ONLY_IND CHAR(1) NOT NULL WITH DEFAULT '0' , 
		  SQLSTATE CHAR(5) , 
		  SQLCODE INTEGER , 
		  ROW_COUNT INTEGER,
		  SQLMSG VARCHAR(23000))   
IN TS_FMX_32K INDEX IN IX_FMX_8K ;
		  
ALTER TABLE FMX_PARTITION_AUDIT
     ADD CONSTRAINT CK_CHAR_ZERO_ONE
    CHECK (PREVIEW_ONLY_IND IN ('0', '1')) ENFORCED ENABLE QUERY OPTIMIZATION;

ALTER TABLE FMX_PARTITION_AUDIT
     ADD CONSTRAINT PKX_PARTITION_AUDT PRIMARY KEY ( TABLE_NAME,AUDIT_TIMESTAMP );

CREATE UNIQUE INDEX PKX_PARTITION_AUDT
 ON FMX_PARTITION_AUDIT ( TABLE_NAME,AUDIT_TIMESTAMP ASC )
  ALLOW REVERSE SCANS PCTFREE 10 ;

------------------------------------------------
-- Move data from Old table to New table
------------------------------------------------
 
INSERT INTO FMX_PARTITION_AUDIT
(TABLE_NAME,AUDIT_TIMESTAMP,PARTITION_NAME,COMMAND,PREVIEW_ONLY_IND,
SQLSTATE,SQLCODE,ROW_COUNT,SQLMSG)
Select TABLE_NAME,AUDIT_TIMESTAMP,PARTITION_NAME,COMMAND,PREVIEW_ONLY_IND,
SQLSTATE,SQLCODE,ROW_COUNT,SUBSTR(SQLMSG,1,23000)
FROM FMX_PARTITION_AUDIT_ORIG;


