
------------------------------------------------
-- DDL Statements for table FCM_ALERT_TYPE_CALL_RESULT
------------------------------------------------
 

CREATE TABLE FCM_ALERT_TYPE_CALL_RESULT  (
		  ALERT_TYPE CHAR(1) NOT NULL , 
		  RESULT_ID INTEGER NOT NULL,
		  CREATE_TIMESTAMP TIMESTAMP NOT NULL WITH DEFAULT CURRENT TIMESTAMP , 
		  CREATE_USER CHAR(60) NOT NULL , 
		  LSTUPDT_USER CHAR(60) , 
		  LSTUPDT_TIMESTAMP TIMESTAMP , 
		  LSTUPDT_NBR SMALLINT NOT NULL WITH DEFAULT 0 , 
		  LOGICAL_DEL_IND CHAR(1) NOT NULL WITH DEFAULT '0'  )
IN TS_CORE_8K INDEX IN IX_CORE_8K;
--  COMPRESS YES

CREATE UNIQUE INDEX PKX_ALRT_TYPE_CR
  ON FCM_ALERT_TYPE_CALL_RESULT
    ( ALERT_TYPE ASC, RESULT_ID ASC )
  CLUSTER
  ALLOW REVERSE SCANS;
--  COMPRESS YES


ALTER TABLE FCM_ALERT_TYPE_CALL_RESULT
  ADD CONSTRAINT PKX_ALRT_TYPE_CR PRIMARY KEY
    (ALERT_TYPE, RESULT_ID);

 ALTER TABLE FCM_ALERT_TYPE_CALL_RESULT
  ADD CONSTRAINT FK_ALRTTYPCR_CALLRES FOREIGN KEY
     (RESULT_ID)
  REFERENCES FCM_CALL_RESULT
    (RESULT_ID)
    ON DELETE RESTRICT
    ON UPDATE NO ACTION
    NOT ENFORCED ENABLE QUERY OPTIMIZATION ;

ALTER TABLE FCM_ALERT_TYPE_CALL_RESULT
  ADD CONSTRAINT FK_ALRTTYPCR_ALRTTYP FOREIGN KEY
     (ALERT_TYPE)
  REFERENCES FCM_ALERT_TYPE
    (ALERT_TYPE)
    ON DELETE RESTRICT
    ON UPDATE NO ACTION
    ENFORCED ENABLE QUERY OPTIMIZATION;
    
ALTER TABLE FCM_ALERT_TYPE_CALL_RESULT
     ADD CONSTRAINT CK_CHAR_ZERO_ONE
    CHECK (LOGICAL_DEL_IND IN ('0', '1')) 
    ENFORCED ENABLE QUERY OPTIMIZATION;    