---------------------------------------------------------------------------------
--
-- ReCompile Trigger for release 3.2.2.0 (3.2 M2 HF3)
--
---------------------------------------------------------------------------------
DROP TRIGGER TRU_BUILD@



------------------------------------------------
-- DDL Statements for Trigger TRU_BUILD
------------------------------------------------
CREATE TRIGGER TRU_BUILD
  AFTER UPDATE OF BUILD_STATUS
  ON FCM_BUILD
  REFERENCING 
    NEW AS NEW
  FOR EACH ROW
  WHEN (UPPER(NEW.BUILD_STATUS) = 'COMPLETED') 
BEGIN ATOMIC

		 INSERT INTO FSX_RULE_PACKAGE 	(
ALERT_TYPE,
BASE_INTERVAL_MEASURE,
BASE_MONITOR_INTERVAL,
BASE_THRESHOLD_CNT,
BASE_THRESHOLD_MONITOR_IND,
RULE_TYPE_ID,
RULE_TYPE_NAME,
RULE_TYPE_DESC,
RULE_ID,
BASE_RULE_ID,
RULE_VERSION_NBR,
MULTI_ORG_ID,
QUEUE_ID,
SLOT_ID,
RULE_NAME,
RULE_DESC,
RULE_STATE,
RULE_CODE,
RULE_PEND_APPROVAL_IND,
RULE_KEYWORDS,
ITEM_LAST_NOTE_ID,
ITEM_NEXT_TO_LAST_NOTE_ID,
ALERT_REASON,
ACTION_EXIT_REMAINING_RULE_IND,
CHECKOUT_USER,
CHECKOUT_TIMESTAMP,
RULE_ORDER_TYPE,
RULE_ORDER_PRIORITY,
CREATE_USER,
CREATE_TIMESTAMP,
LSTUPDT_USER,
LSTUPDT_TIMESTAMP,
LSTUPDT_NBR,
LOGICAL_DEL_IND,
BUILD_ID,
PACKAGE_TIMESTAMP,
FSX_ACTION_TYPE,
FSX_CREATE_TIMESTAMP) 
            select 
                   b.alert_TYPE,
                   a.base_interval_measure,
                   a.base_monitor_interval,
                   a.base_threshold_cnt,
                   a.base_threshold_monitor_ind,
                   b.rule_type_id,
                   c.rule_type_name,
                   c.rule_type_desc,
                   b.rule_id,
                   b.base_rule_id,
                   b.rule_version_nbr,
                   b.multi_org_id,
                   b.queue_id,
                   b.slot_id,
                   b.rule_name,
                   b.rule_desc,
                   b.rule_state,
                   b.rule_code,
                   b.rule_pend_approval_ind,
                   b.rule_keywords,
                   b.item_last_note_id,
                   b.item_next_to_last_note_id,
                   b.alert_reason,
                   b.action_exit_remaining_rule_ind,
                   b.checkout_user,
                   b.checkout_timestamp,
                   b.rule_order_type,
                   b.rule_order_priority,
                   b.create_user,
                   b.create_timestamp,
                   b.lstupdt_user,
                   b.lstupdt_timestamp,
                   b.lstupdt_nbr,
                   b.logical_del_ind,
                   d.build_id,
                   d.create_timestamp ,
'UPDATE',
CURRENT TIMESTAMP
            from fcm_base_rule as a,
                 fcm_rule as b,
                 fcm_rule_type as c,
                fcm_build_package as d
            where a.base_rule_id =  b.base_rule_id and
             b.rule_type_id = c.rule_type_id  and
             b.rule_id = d.rule_id
						 and d.build_id = NEW.BUILD_ID;

Insert into fsx_user_variable
(
BUILD_ID,
USERVAR_LENGTH,
USERVAR_FIELD_NAME,
USERVAR_BUS_NAME,
USERVAR_DESC,
USERVAR_INITIAL_VALUE,
VARIABLE_TYPE,
SEGMENT_ACRONYM,
SEGMENT_KEY_FIELD_ID,
EXPOSE_USERVAR_IND,
CREATE_TIMESTAMP,
LSTUPDT_TIMESTAMP,
CREATE_USER,
LSTUPDT_NBR,
LSTUPDT_USER,
LOGICAL_DEL_IND,
FSX_ACTION_TYPE,
FSX_CREATE_TIMESTAMP)
select
NEW.BUILD_ID,
a.FIELD_LENGTH,
a.FIELD_NAME,
a.FIELD_BUSINESSNAME,
a.FIELD_DESC,
a.FIELD_INITIAL_VALUE,
a.VARIABLE_TYPE,
sd.SEGMENT_ACRONYM,
skf.FIELD_ID,
a.EXPOSE_USERVAR_IND,
a.CREATE_TIMESTAMP,
a.LSTUPDT_TIMESTAMP,
a.CREATE_USER,
a.LSTUPDT_NBR,
a.LSTUPDT_USER,
a.LOGICAL_DEL_IND,
'UPDATE',
CURRENT TIMESTAMP
from fcm_segment_definition sd, fcm_field_definition a,fcm_segment_key_field skf
--, fcm_build fb, fcm_field_definition b
where  
--sd.SEGMENT_KEY_FIELD_ID = b.FIELD_ID
--and 
a.begin_build_id is not NULL
and a.end_build_id is NULL
and a.logical_del_ind = '0'
and a.segment_id = sd.segment_id
			and skf.segment_id = sd.segment_id
			and skf.logical_del_ind = '0';
END@


